## org.eclipse.datatools.modelbase.sql.query
Interface Predicate

All Superinterfaces:
  QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Subinterfaces:
  PredicateBasic, PredicateBetween, PredicateExists, PredicateIn, PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect, PredicateIsNull, PredicateLike, PredicateQuantified, PredicateQuantifiedRowSelect, PredicateQuantifiedValueSelect, XMLPredicate, XMLPredicateContent, XMLPredicateDocument, XMLPredicateExists, XMLPredicateValid

All Known Implementing Classes:
  PredicateBasicImpl, PredicateBetweenImpl, PredicateExistsImpl, PredicateImpl, PredicateInImpl, PredicateInValueListImpl, PredicateInValueRowSelectImpl, PredicateInValueSelectImpl, PredicateIsNullImpl, PredicateLikeImpl, PredicateQuantifiedImpl, PredicateQuantifiedRowSelectImpl, PredicateQuantifiedValueSelectImpl, XMLPredicateContentImpl, XMLPredicateDocumentImpl, XMLPredicateExistsImpl, XMLPredicateImpl, XMLPredicateValidImpl

    public interface Predicate

extends QuerySearchCondition

A representation of the model object 'SQL Predicate'.

The following features are supported:

- `Negated Predicate`
- `Has Selectivity`
- `Selectivity Value`

See Also:
  `SQLQueryModelPackage.getPredicate()`

Method Summary
`java.lang.Integer` `getSelectivityValue()` Returns the value of the 'Selectivity Value' attribute.
`boolean` `isHasSelectivity()` Returns the value of the 'Has Selectivity' attribute.
`boolean` `isNegatedPredicate()` Returns the value of the 'Negated Predicate' attribute.
`void` `setHasSelectivity(boolean value)` Sets the value of the '`Has Selectivity`' attribute.
`void` `setNegatedPredicate(boolean value)` Sets the value of the '`Negated Predicate`' attribute.
`void` `setSelectivityValue(java.lang.Integer value)` Sets the value of the '`Selectivity Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNegatedPredicate

    boolean isNegatedPredicate()

  Returns the value of the 'Negated Predicate' attribute. This attribute adds the NOT keyword in front of a predicate, so when true you have NOT <predicate>. If attribute "paren" in the superclass is also true, you get ( NOT <predicate> ). If attribute "notParen" in the superclass is true, you get NOT ( NOT <predicate> ).

  Returns:
    the value of the 'Negated Predicate' attribute.
  See Also:
    `setNegatedPredicate(boolean)`, `SQLQueryModelPackage.getPredicate_NegatedPredicate()`

### setNegatedPredicate

    void setNegatedPredicate(boolean value)

  Sets the value of the '`Negated Predicate`' attribute.

  Parameters:
    `value` - the new value of the 'Negated Predicate' attribute.
  See Also:
    `isNegatedPredicate()`

### isHasSelectivity

    boolean isHasSelectivity()

  Returns the value of the 'Has Selectivity' attribute.

  If the meaning of the 'Has Selectivity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Has Selectivity' attribute.
  See Also:
    `setHasSelectivity(boolean)`, `SQLQueryModelPackage.getPredicate_HasSelectivity()`

### setHasSelectivity

    void setHasSelectivity(boolean value)

  Sets the value of the '`Has Selectivity`' attribute.

  Parameters:
    `value` - the new value of the 'Has Selectivity' attribute.
  See Also:
    `isHasSelectivity()`

### getSelectivityValue

    java.lang.Integer getSelectivityValue()

  Returns the value of the 'Selectivity Value' attribute.

  If the meaning of the 'Selectivity Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Selectivity Value' attribute.
  See Also:
    `setSelectivityValue(Integer)`, `SQLQueryModelPackage.getPredicate_SelectivityValue()`

### setSelectivityValue

    void setSelectivityValue(java.lang.Integer value)

  Sets the value of the '`Selectivity Value`' attribute.

  Parameters:
    `value` - the new value of the 'Selectivity Value' attribute.
  See Also:
    `getSelectivityValue()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.